#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2
visibility:           public
id:                   kan-extensions-5.2-LgF78JS8GDwH5OJbmEl3uV
key:                  kan-extensions-5.2-LgF78JS8GDwH5OJbmEl3uV
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  27daf809ae76257e050ad29295e7ea0b
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-8.8.1/site-local/kan-extensions-5.2
library-dirs:         /usr/lib/ghc-8.8.1/site-local/kan-extensions-5.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.1/kan-extensions-5.2
hs-libraries:         HSkan-extensions-5.2-LgF78JS8GDwH5OJbmEl3uV
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-GZdSeH6rAPnFz3yrPq41uB array-0.5.4.0 base-4.13.0.0
    comonad-5.0.6-J1GYwepYiMm1OqJKe3R0Ba containers-0.6.2.1
    contravariant-1.5.2-2jV68Ctq1IVAc8M3y7yJKu
    distributive-0.6.1-2oWTigw2Te26PrNZL2y3v5
    free-5.1.3-JI4PZV6g6PeFXJjLIIRz3T
    invariant-0.5.3-G6Ver2b2oKcC5ALQ4jPLie mtl-2.2.2
    profunctors-5.5.1-2qr3ayiXrRB8kOxqx1sc4p
    semigroupoids-5.3.4-7QiWL5rIQymLNzIOhEExlr
    tagged-0.8.6-LfhHZ57rMjK9JkdnSRh9cF transformers-0.5.6.2
    transformers-compat-0.6.5-JSMUn8oEOEx4KSfZBSghWS

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

